import 'package:flutter_test/flutter_test.dart';
import 'package:global_configuration/global_configuration.dart';
import 'package:kyc/Exceptions/sdk_exceptions.dart';
import 'package:kyc/Utils/configuration_consts.dart';
import 'package:kyc/Utils/configuration_utils.dart';

void main() {
  setUpAll(() {
    TestWidgetsFlutterBinding.ensureInitialized();
  });

  test("Testing load of configuration from asset", () async {
    GlobalConfiguration cfg = await ConfigurationUtils.getConfiguration();
    expect(cfg.getString(ConfigurationConsts.API_URL_SANDBOX), "https://sandbox.cleardil.com/v2");
  });

  test("Testing load of configuration from asset and call getEnvironment", () async {
    expect(await ConfigurationUtils.getUrlForEnvironment("SANDBOX"), "https://sandbox.cleardil.com/v2");
  });

  test("Unknown environment should throw exception", () async {
    expect(() => ConfigurationUtils.getUrlForEnvironment("POUET"), throwsA(isA<IllegalEnvironmentException>()));
  });
}
